// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Blueprint/UserWidget.h"
#include "MainMenu.generated.h"

/**
 * 
 */
UCLASS()
class UI_TEST_API UMainMenu : public UUserWidget
{
	GENERATED_BODY()

protected:
	virtual bool Initialize();

private:
	UPROPERTY()//UPROPERTY(meta = (BindWidget))
		class UButton* Game1_Button;

	UPROPERTY()//UPROPERTY(meta = (BindWidget))
		class UButton* Game2_Button;

	UFUNCTION()
		void OnPlayGame1();
	UFUNCTION()
		void OnPlayGame2();
};