// Fill out your copyright notice in the Description page of Project Settings.


#include "MyGameInstance.h"

void UMyGameInstance::LoadMenu()
{
	UE_LOG(LogTemp, Warning, TEXT("LoadMenu..................."));

	UBlueprintGeneratedClass* BP_MainMenu_Widget = LoadObject<UBlueprintGeneratedClass>(nullptr, TEXT("/Game/blueprint/BP_MainMenu_Widget.BP_MainMenu_Widget_C"));
	MenuClass = Cast<UClass>(BP_MainMenu_Widget);
	if (MenuClass == nullptr) return;

	MainMenuWidget = CreateWidget<UUserWidget>(this, MenuClass);
	if (MainMenuWidget == nullptr) return;

	MainMenuWidget->AddToViewport();
}