// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Engine/GameInstance.h"
#include "Blueprint/UserWidget.h"
#include "MyGameInstance.generated.h"

/**
 * 
 */
UCLASS()
class UI_TEST_API UMyGameInstance : public UGameInstance
{
	GENERATED_BODY()
	
public:
	UFUNCTION(BlueprintCallable)
	void LoadMenu();

private:
	//
	UPROPERTY(EditAnywhere)
	TSubclassOf<class UUserWidget> MenuClass;
	UUserWidget* MainMenuWidget;
};
